%This is zero argument function. A script.

clear all;close all;clc;

load('./final_kmeans_result_20centers.mat');
%Centers = 171x100 (dxm) , Labels = 1xn

display(['Loaded codebook dimension : ' num2str(size(Centers,2))]);

files = dir('./features_csv/*.csv');
for file = files'
    file_name = ['./features_csv/',file.name];
    display(file_name);
	
    Y=csvread(file_name);						% Centers'=[m=100 by d=162 length descriptor] , Y(:,10:end)=v by 162 , IDX=v by 1
	IDX = knnsearch(Centers',Y(:,10:end));				% By default k=1, and IDX contains index of centers stored in Centers (index starts from 1 not 0)
	
	FinalOut = zeros(length(IDX),4);
	FinalOut(:,1) = Y(:,6); % x coordinate
	FinalOut(:,2) = Y(:,5); % y coordinate
	FinalOut(:,3) = Y(:,7); % t coordinate
	FinalOut(:,4) = IDX(:); % center id
    
    csvwrite(['./centers_assigned/',file.name], FinalOut);
end