%This is zero argument function (primarily a script).
%Run like: KMeans on terminal of Matlab
display('--------------------------------------');
display('Data Loading started ...');

points = csvread('./sampledFeaturesForClustering.csv');	%n by 300 is the dimension of file
size(points)            %total: n=200K training descriptors randomly sampled from descriptors in full video
display('Full Data Loaded !');

centers = [10 20 100 50 500];

for i=1:length(centers)

	display(['Algorithm started : for ' num2str(centers(i)) ' centers']);

	[Labels,Centers] = kmeans(points',centers(i));
	save(['final_kmeans_result_' num2str(centers(i)) 'centers.mat'],'Centers','Labels');

	display(['Algorithm ended: Converged Variables Saved : for ' num2str(centers(i)) ' centers']);
	display('--------------------------------------');
end
