%This code marks anomaly in video. It works currently for projection model, but can work for likelihood model with slight modification

%load data
%load workspace_20topics_4sDocLength_20box_20centers_HOGHOF.mat
%localizeAnomaly
%load anomalyMatrix.mat
%load FullProjModelWorkspace_20topics_4sDocLength_20box.mat
clearvars -except testdoc anomalousWordsperDoc anomalyMatrix bestThres doc_length FramesForWords windowSize
%vid = VideoReader('../../../../BTPDataset/traffic-junction.avi');
vid = VideoReader('../../traffic-junction.avi');
numOfFrames = vid.NumberOfFrames;
anomalousFrames = zeros(numOfFrames,1);
%anomWords = zeros(numOfFrames,words);
outputVideo = VideoWriter('../../traffic-junction_outHOGHOF.avi');
outputVideo.FrameRate = vid.FrameRate;
open(outputVideo);
anomWords = cell(numOfFrames,1);
flowCentres = 20; %%include it in the .mat file and remove this line
%badWords_AnomDocVSWord =

for i=1:length(testdoc)
    startFrame = (testdoc(i)-1)*25*doc_length+1;
    endFrame = testdoc(i)*25*doc_length;
    if anomalousWordsperDoc(i) < bestThres
        continue
    end
    for k=1:size(anomalyMatrix,1)
        if anomalyMatrix(k,i)==0
            continue
        end
		word = k;
		doc = testdoc(i);
        if isempty(FramesForWords{word}{doc})
            display('Something is wrong..no bad frames found');
        end
		for j=startFrame:endFrame
			anomalousFrames(j) = 1;
			indices = find(FramesForWords{word}{doc}==j);
			if ~isempty(indices)
				%anomWords(j,word) = uint8((k-1)/20+1);              %words are given relative importance
				%anomWords(j,word) = 1;
                anomWords{j}=[anomWords{j};word];
			end
		end
    end
end
%outputVideo = VideoWriter('../../../../BTPDataset/traffic-junction_outHOGHOF.avi');
for i=1:numOfFrames
    img = read(vid,i);
    if anomalousFrames(i) == 1
		img(:,:,3) = 185;
		row = anomWords{i};
		for j=1:length(row)
            word = row(j);
            origin_x = uint16(floor((floor((word-1)/(2*flowCentres)))/(360/windowSize)))*windowSize;
            origin_y = uint16(mod(floor((word-1)/(2*flowCentres)),360/windowSize))*windowSize;
            img(origin_x+1:min(origin_x+windowSize,288),origin_y+1:min(origin_y+windowSize,360),1) = 255;
            display(['Frame ' num2str(i) ' marked at ' num2str(origin_x) ',' num2str(origin_y)]);
        end
% 		for j = 1:words
% 			if anomWords(i,j)~=0
% 				origin_x = uint16(floor((floor((j-1)/10))/(360/windowSize)))*windowSize;
% 				origin_y = uint16(mod(floor((j-1)/10),360/windowSize))*windowSize;
% 				%img(origin_y+1:min(origin_y+windowSize,288),origin_x+1:min(origin_x+windowSize,360),1) = uint8(235-20*(anomWords(i,j)-1));
% 				img(origin_y+1:min(origin_y+windowSize,288),origin_x+1:min(origin_x+windowSize,360),1) = 255;
%             end
%         end
        if ~isempty(row)
            imshow(img);
            pause(0.01);
        end
    end
    writeVideo(outputVideo,img);
end
close(outputVideo);
