#Sampling Randomly 200K descriptors from all Files.
import os
import glob
import random

#file_name=input("Input File: "); #give input in double quotes in python 2.7 and direcly with out quotes in py3.3
pathout="./sampledFeaturesForClustering.csv"

fout = pathout
fpout=open(fout,'w')
descriptorCount=0
fileCount=0

for fin in sorted(glob.glob('./features/*exter*')):
	fpin=open(fin,'r')
	fileCount=fileCount+1
	# point-type y-norm x-norm t-norm y x t sigma2 tau2 dscr-hog(72) dscr-hof(90)

	#200K Random samples to pickup -
	if fileCount==8:
		pickUpLines=sorted(random.sample(range(64000),18000))
	else:
		pickUpLines=sorted(random.sample(range(177000),26000))
	
	print "\nFile name : ",fin

	lineCount=0
	randomCount=0
	for line in fpin:
		datain=line.split()
		if len(datain) <= 150:		#last line of file may contain just \ns so ignore them
			continue		

		#Sampling Randomly 200K descriptors from all Files.
		if randomCount==len(pickUpLines):
			print "\nRandomCount : ",randomCount
			break
		if lineCount!=pickUpLines[randomCount]:
			lineCount = lineCount+1
			continue
		else:
			randomCount=randomCount+1
			lineCount = lineCount+1

		dataout=datain[9:]		#trim first 9 things

		# output
		out=""
		for each in dataout:
			out = out + "," + str(each)
		out = out + "\n"
		out = out[1:]		#remove first comma

		fpout.write(out)
		descriptorCount=descriptorCount+1

	fpin.close()
	datain=None
	dataout=None
	print "descriptorCount=",descriptorCount

print "descriptorCount=",descriptorCount
print "fileCount=",fileCount
fpout.close()
