%Getting most frequent topics in documents.
%Visualizing topics from P(z|d) .. observe most frequent ones (we take maximum, algorithm)

for i=1:size(Pd_z,1)
    Pz_d(:,i) = Pz.*Pd_z(i,:);
end
[val,ind] = max(Pz_d);
edges = 1:20;
[cnt,bin] = histc(ind,edges);
bar(cnt)
documents_with_most_prominent_action = find(ind==10);
for i=1:size(documents_with_most_prominent_action,2)
    seconds_with_most_prominent_action(i,1) = (documents_with_most_prominent_action(1,i)-1)*doc_length/60;
    seconds_with_most_prominent_action(i,2) = (documents_with_most_prominent_action(1,i))*doc_length/60;
end
for i=1:size(documents_with_most_prominent_action,2)
    display([num2str(floor((documents_with_most_prominent_action(1,i)-1)*4/60)) 'm' num2str(mod((documents_with_most_prominent_action(1,i)-1)*4,60)) 's']);
end